logs
Get logs traceId
Requires scopes: traces:read
GET
/
api
/
logs
/
traces
/
{traceId}
Get logs traceId
curl --request GET \
--url https://evalgate.com/api/logs/traces/{traceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/logs/traces/{traceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/logs/traces/{traceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trace": {
"metadata": true,
"createdAt": "<string>",
"retentionState": "redacted",
"id": 123,
"name": "<string>",
"traceId": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"analysisStatus": "<string>",
"source": "<string>",
"environment": "<string>",
"durationMs": 123,
"score": 123,
"activeRevisionId": "<string>",
"sealStatus": "<string>"
},
"spans": [
{
"input": true,
"output": true,
"metadata": true,
"id": 123,
"traceId": 123,
"spanId": "<string>",
"parentSpanId": "<string>",
"name": "<string>",
"type": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"durationMs": 123,
"inputHash": "<string>",
"evaluationRunId": 123,
"model": "<string>",
"provider": "<string>",
"tokenCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"modelCalls": [
{
"requestPreview": true,
"responsePreview": true,
"dataPolicySnapshot": true,
"policySnapshot": true,
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gatewayConfigId": "<string>",
"routingProfileId": "<string>",
"useCase": "<string>",
"backend": "<string>",
"provider": "<string>",
"modelRequested": "<string>",
"modelRouted": "<string>",
"modelReturned": "<string>",
"status": "<string>",
"evaluationId": 123,
"evaluationRunId": 123,
"testCaseId": 123,
"testResultId": 123,
"traceId": 123,
"spanId": 123,
"toolCallId": 123,
"judgeConfigId": 123,
"judgeResultId": 123,
"autoSessionId": 123,
"syntheticCaseId": 123,
"candidateCaseId": 123,
"policyDecisionId": "<string>",
"costRecordId": 123,
"requestHash": "<string>",
"responseHash": "<string>",
"redactionState": "<string>",
"inputTokens": 123,
"outputTokens": 123,
"cachedInputTokens": 123,
"totalTokens": 123,
"costUsd": "<string>",
"costSource": "<string>",
"latencyMs": 123,
"retryCount": 123,
"fallbackChain": [
"<string>"
],
"routingDecisionSnapshot": {
"routingProfileId": "<string>",
"backend": "<string>",
"reason": "<string>",
"requestedModel": "<string>",
"routedModel": "<string>"
},
"metadata": {
"useCase": "<string>",
"fallbackCount": 123,
"unavailableReason": "<string>",
"pricingVersion": "<string>",
"attemptSnapshot": {}
},
"errorCode": "<string>",
"errorMessage": "<string>",
"provenanceState": "<string>",
"missingProvenanceParts": [
"<string>"
],
"lastReconciliationAt": "2023-11-07T05:31:56Z",
"reconciliationAttempts": 123,
"provenanceFailureReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"tools": [
{
"requestPreview": true,
"responsePreview": true,
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aiSystemId": 123,
"permissionProfileId": 123,
"traceId": 123,
"spanId": 123,
"workflowRunId": 123,
"runtimeId": 123,
"runtimeVersionId": 123,
"connectorId": 123,
"connectorManifestSnapshotId": 123,
"rawEventId": 123,
"invocationId": "<string>",
"runtimeKey": "<string>",
"connectorKey": "<string>",
"toolName": "<string>",
"operation": "<string>",
"requestHash": "<string>",
"responseHash": "<string>",
"status": "<string>",
"latencyMs": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"cost": "<string>",
"sideEffectClass": "<string>",
"policyDecision": "<string>",
"metadata": {
"schemaVersion": 123
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"scores": [
{
"input": true,
"output": true,
"reasoning": true,
"id": 123,
"configId": 123,
"evaluationRunId": 123,
"testCaseId": 123,
"score": 123,
"judgeConfigHash": "<string>",
"promptSnapshot": "<string>",
"completionSnapshot": "<string>",
"temperature": 123,
"metadata": {
"originalScore": 123,
"originalStatus": "<string>",
"passed": false,
"evaluationRunId": 123,
"error": "<string>",
"generatedAt": "<string>",
"judgeResults": [
{}
],
"aggregation": "<string>",
"confidence": 123,
"signals": {},
"model": "<string>",
"provider": "<string>",
"judgeId": "<string>",
"latencyMs": 123,
"tokenUsage": {
"input": 123,
"output": 123
},
"retries": 123,
"parseStatus": "failed",
"scoreA": 123,
"scoreB": 123,
"winner": "A",
"outputA": "<string>",
"outputB": "<string>",
"judgeVariance": 123,
"disagreement": {},
"totalCostUsd": 123,
"flags": [
"<string>"
],
"judgeModelProvenance": [
true
],
"primaryJudgeModelProvenance": true,
"temperature": 123,
"top_p": 123,
"seed": 123,
"max_tokens": 123,
"prompt_hash": "<string>",
"evaluationTime": 123,
"modelVersion": "<string>",
"judgeConfigHash": "<string>",
"rubricHash": "<string>",
"normalizedScore": 123,
"normalizedScoreUnavailableReason": "<string>",
"comparableAcrossJudgeConfigs": false,
"comparabilityStatus": "not_comparable",
"comparabilityGroupId": "<string>",
"mappingVersionId": "<string>",
"calibrationSetId": "<string>",
"calibrationSetVersionId": "<string>",
"calibrationRunId": "<string>",
"scoreMappingId": "<string>",
"normalizationMethod": "percentile",
"scoreScaleVersion": "<string>",
"uncertainty": {
"ciLower": 123,
"ciUpper": 123,
"sampleSize": 123
},
"modelCallId": "<string>"
},
"evaluatorReleaseId": "<string>",
"executionBatchId": "<string>",
"resultKind": "<string>",
"aggregateParentId": 123,
"presentationOrder": "<string>",
"logicalPairId": "<string>",
"rawScore": 123,
"normalizedScore": 123,
"calibratedScore": 123,
"comparabilityStatus": "not_comparable",
"comparabilityGroupId": "<string>",
"mappingVersionId": "<string>",
"calibrationSetId": "<string>",
"calibrationSetVersionId": "<string>",
"calibrationRunId": "<string>",
"scoreMappingId": "<string>",
"normalizationMethod": "percentile",
"calibratedScoreScaleVersion": "<string>",
"normalizedScoreUnavailableReason": "<string>",
"comparabilityUncertainty": {
"ciLower": 123,
"ciUpper": 123,
"sampleSize": 123
},
"scoreMinimum": 123,
"scoreMaximum": 123,
"scoreDirection": "<string>",
"normalizationVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"costs": [
{
"id": 123,
"spanId": 123,
"workflowRunId": 123,
"evaluationRunId": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"model": "<string>",
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"inputCost": "<string>",
"outputCost": "<string>",
"totalCost": "<string>",
"isRetry": false,
"retryNumber": 123,
"costCategory": "<string>",
"costSource": "<string>",
"pricingVersion": "<string>",
"environment": "<string>",
"isTest": false,
"agentName": "<string>",
"stepName": "<string>",
"promptHash": "<string>",
"cachedInputTokens": 123,
"modelCallId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"evidence": [
{
"preview": true,
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aiSystemId": 123,
"runtimeId": 123,
"runtimeVersionId": 123,
"connectorId": 123,
"connectorManifestSnapshotId": 123,
"rawEventId": 123,
"traceId": 123,
"spanId": 123,
"workflowRunId": 123,
"evaluationId": 123,
"evaluationRunId": 123,
"testResultId": 123,
"toolInvocationEvidenceId": 123,
"sideEffectLedgerId": 123,
"policyDecisionId": 123,
"evidenceKey": "<string>",
"kind": "<string>",
"source": "<string>",
"subjectType": "<string>",
"subjectId": "<string>",
"contentHash": "<string>",
"redactionState": "<string>",
"storageUri": "<string>",
"score": 123,
"confidence": 123,
"metadata": {
"schemaVersion": 123,
"tags": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"policies": [
{
"input": true,
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aiSystemId": 123,
"permissionProfileId": 123,
"runtimeId": 123,
"runtimeVersionId": 123,
"connectorId": 123,
"connectorManifestSnapshotId": 123,
"rawEventId": 123,
"toolInvocationEvidenceId": 123,
"sideEffectLedgerId": 123,
"decisionKey": "<string>",
"policyVersion": "<string>",
"question": "<string>",
"decision": "<string>",
"severity": "<string>",
"reasonCode": "<string>",
"reason": "<string>",
"inputHash": "<string>",
"evidenceItemIds": [
123
],
"metadata": {
"schemaVersion": 123
},
"decidedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"alerts": [
{
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": 123,
"monitorVersionId": "<string>",
"executionId": "<string>",
"sampleId": 123,
"monitorRunId": 123,
"traceId": 123,
"severity": "<string>",
"status": "<string>",
"title": "<string>",
"message": "<string>",
"modelCallId": "<string>",
"dedupeKey": "<string>",
"deliveryState": "<string>",
"reviewItemId": 123,
"candidateId": 123,
"remediationStatus": "<string>",
"metadata": {
"checkSummary": {
"statusFailure": true,
"signalCount": 123,
"aggregatedConfidence": 123,
"topCategory": "<string>",
"gatewaySkipReason": "<string>",
"judgeAlert": false,
"judgeSeverity": "<string>",
"judgeCategory": "<string>",
"judgeConfidence": 123,
"judgeReason": "<string>"
},
"traceKey": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"acknowledgedAt": "2023-11-07T05:31:56Z",
"acknowledgedBy": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": "<string>"
}
],
"reviews": [
{
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reasonCode": "<string>",
"status": "<string>",
"severity": "<string>",
"sourceType": "<string>",
"sourceId": "<string>",
"evaluationId": 123,
"title": "<string>",
"summary": "<string>",
"provenance": {
"sourceLabel": "<string>",
"redactedPreview": {},
"traceKey": "<string>",
"evalCaseId": "<string>",
"confidence": 123
},
"assignedTo": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursors": {
"evidence": "<string>",
"costs": "<string>",
"spans": "<string>",
"tools": "<string>",
"scores": "<string>",
"alerts": "<string>",
"policies": "<string>",
"modelCalls": "<string>",
"reviews": "<string>"
},
"truncated": {}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get logs traceId
